The device on which you install Horizon Client, and the peripherals it uses, must meet certain system requirements.

Operating systems
  • Windows 10 Current Branch for Business (CBB) version 1607
  • Windows 10 Long-Term Servicing Branch (LTSB) version 1607
Connection Server, Security Server, and Horizon Agent
Latest maintenance release of Horizon View 5.3.x and later releases.

VMware recommends that you use a security server so that your device does not require a VPN connection.

Remote applications are available on Horizon 6.0 and later servers.

Display protocol for remote desktops and applications
  • VMware Blast (requires Horizon Agent 7.0 or later)
  • PCoIP